Core - Bug # 60405

Status: Under Review Priority: Should have
Author: Oliver Hader Category: Pagetree
Created: 2014-07-20 Assigned To: Oliver Hader
Updated: 2015-07-16 Due date:

TYPO3 Version: 6.2

PHP Version: 53

Complexity:

Is Regression: No

Sprint Focus:

Subject: PageTree cannot select/expand hidden nodes

Description

TYPO3.Backend.NavigationContainer.PageTree.select(64) does not select the correct page, but tries to determine the correct node
levels, fakes the local node states and reloads the page tree. One thing that might not be considered there is the fact that pages are

represented in hex-values with a leading "p", thus the integer "64" with be converted to "p40" as node id.

To overcome this scenario and enable custom handling there, a new generic method is introduced:

TYPO3.Backend.NavigationContainer.PageTree.invokePageld(pageld, callback, allResults);

The methods "selectPageld” and "expandPageld" show how this is actually used.

Related issues:
related to Core - Feature # 60406: Highlight page tree depending on current w...

Under Review 2014-07-20

History

#1 - 2014-08-14 11:11 - Gerrit Code Review

- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.org/32155

#2 - 2014-08-14 11:11 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.org/32155

#3 - 2015-03-12 11:34 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.org/32155

#4 - 2015-07-16 23:55 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.org/32155
